#!/bin/sh -efu

echo 'repetitions,b4-time,b4-comm,b5-time,b5-comm'
for i in $(seq 1 100 10000); do
    ./compile.py -R 64 -Y proximity-test "$i" 1>&2
    Scripts/spdz2k.sh -B 4 "proximity-test-$i" > log-b4.txt 2>&1
    Scripts/spdz2k.sh -B 5 "proximity-test-$i" > log-b5.txt 2>&1

    b4Time=$(grep 'Time =' log-b4.txt | sed 's:.*= \(.\+\) seconds.*:\1:')
    b4Comm=$(grep 'Global data sent =' log-b4.txt | sed 's:.*= \(.\+\) MB.*:\1:')

    b5Time=$(grep 'Time =' log-b5.txt | sed 's:.*= \(.\+\) seconds.*:\1:')
    b5Comm=$(grep 'Global data sent =' log-b5.txt | sed 's:.*= \(.\+\) MB.*:\1:')

    echo "$i,$b4Time,$b4Comm,$b5Time,$b5Comm"
done
